## org.apache.poi.xwpf.usermodel
Enum XWPFTableCell.XWPFVertAlign

    java.lang.Object
      java.lang.Enum<XWPFTableCell.XWPFVertAlign>
          org.apache.poi.xwpf.usermodel.XWPFTableCell.XWPFVertAlign

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XWPFTableCell.XWPFVertAlign>

Enclosing class:
  XWPFTableCell

    public static enum XWPFTableCell.XWPFVertAlign

extends java.lang.Enum<XWPFTableCell.XWPFVertAlign>

Enum Constant Summary
`BOTH`
`BOTTOM`
`CENTER`
`TOP`

Method Summary
`static XWPFTableCell.XWPFVertAlign` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XWPFTableCell.XWPFVertAlign[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final XWPFTableCell.XWPFVertAlign TOP

### CENTER

    public static final XWPFTableCell.XWPFVertAlign CENTER

### BOTH

    public static final XWPFTableCell.XWPFVertAlign BOTH

### BOTTOM

    public static final XWPFTableCell.XWPFVertAlign BOTTOM

Method Detail

### values

    public static XWPFTableCell.XWPFVertAlign[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XWPFTableCell.XWPFVertAlign c : XWPFTableCell.XWPFVertAlign.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XWPFTableCell.XWPFVertAlign valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.